- Home
- Resources
- Group admin API
Abstract class for REST webservices
POST /admin/group
Add group.
Example of request:
{"name":"Special Users","description":"Group for users with special rights","distinguishedName":"Internal=SpecialUsers","providerName":"Internal"}
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the adding has or has not
been succeeded. |
POST /admin/group/addmember
Add member to group
Example of request:
{"list":[{"id":"user1Id"},{"id":"user2Id"}]}
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the adding has or has not
been succeeded. |
POST /admin/group/removemember
Remove member from group
Example of request:
{"list":[{"id":"user1Id"},{"id":"user2Id"}]}
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the removing has or has not
been succeeded. |
DELETE /admin/group/{groupId}
Remove group
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| groupId |
path |
ID of group |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the removing has or has not
been succeeded. |
PUT /admin/group/{groupId}
Update group.
Example of request:
{"name":"Special Users","description":"Group for users with special rights"}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| groupId |
path |
|
|
long |
Request Body
| media type |
data type |
description |
| application/json |
HdcGroupModelTO
(JSON) |
The specification of group that has to be updated. |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the updating has or has not
been succeeded. |
GET /admin/group/json/{groupId}
Get list of group members
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| groupId |
path |
ID of group |
|
|
Response Body
| media type |
data type |
description |
| application/json |
array of HdcUserInfoTO
(JSON) |
JSON with list of users
Example of response:
{"list":[{"id":1,"name":"admin","userFullName":"Admin","description":"","enabled":true,"email":"","loginCount":1840,"lastLoginDate":"2013-09-26T10:18:36.199072+02:00"},{"id":2,"name":"user1","userFullName":"User 1","description":"","enabled":true,"email":"","loginCount":784,"lastLoginDate":"2013-09-25T13:16:12.990218+02:00"}]}
|